<!-- Realisatsiooni aluseks on võetud:
Login Registration with Email Verification, Forgot Password using PHP
Kasutatud 6.04.2016
http://www.codingcage.com/2015/09/login-registration-email-verification-forgot-password-php.html
-->

<?php
include "config.php";
session_start();
include_once ROOT . 'db/dbconfig.php';
require_once ROOT . 'admin/objects/kasutaja.class.php';
$user_home = new Kasutaja();
include ROOT . "header.php";

if(isset($_POST['btn-signup']))
{
 $eesnimi = trim($_POST['eesnimi']);
 $perekonnanimi = trim($_POST['perekonnanimi']);
 $isikukood = trim($_POST['isikukood']);
 $telefon = trim($_POST['telefon']);
 $email = trim($_POST['email']);
 $aadress = trim($_POST['aadress']);
 $linn = trim($_POST['linn']);
 $maakond = trim($_POST['maakond']);
 $postiindeks = trim($_POST['postiindeks']);
 $riik = trim($_POST['riik']);
 $parool = trim($_POST['parool']);
 $parool2 = trim($_POST['parool2']);
 $code = md5(uniqid(rand()));
 
 $stmt = $user_home->runQuery("SELECT * FROM kasutajad WHERE email=:email");
 $stmt->execute(array(":email"=>$email));
 $row = $stmt->fetch(PDO::FETCH_ASSOC);
 
 if($stmt->rowCount() > 0)
 {
  unset($email);
  $msg = "
  <div class='alert alert-danger'>
    <button class='close' data-dismiss='alert'>&times;</button>
    Sellise e-mailiga kasutaja juba eksisteerib. Palun logi sisse või kasuta teist e-maili aadressi.
  </div>
  ";

}
else
{
  if($user_home->register($eesnimi,$perekonnanimi,$isikukood,$telefon, $email, $aadress, $linn, $maakond, $postiindeks, $riik, $parool,$code))
  {   
   $id = $user_home->lasdID();  
   $key = base64_encode($id);
   $id = $key;
   
   $message = "     
   Hea $eesnimi,
   <br /><br />
   Soovisite registreerida oksjoniportaali kasutajaks.<br/>
   Kasutaja kinnitamiseks klõpsake palun järgmisel lingil:<br/>
   <br /><br />
   <a href='oksjoniportaal/verify.php?id=$id&code=$code'>Aktiveeri kasutaja</a>
   <br /><br />
   Parimate soovidega,<br/>Oksjoniportaal";
   
   $subject = "Kasutaja kinnitamine";
   
   $user_home->send_mail($email,$message,$subject); 
   $msg = "
   <div class='alert alert-success'>
    <button class='close' data-dismiss='alert'>&times;</button>
    <strong>Registreerimine oli edukas!</strong> Kinnitus saadetud e-mailile: $email.
    Peale kasutaja kinnitamist võite sisse logida!
  </div>
  ";
  unset($eesnimi);
  unset($perekonnanimi);
  unset($isikukood);
  unset($telefon);
  unset($email);
  unset($aadress);
  unset($linn);
  unset($maakond);
  unset($postiindeks);
  unset($riik);

}
else
{
 echo "Viga andmebaasi sisestamisel.";
}  
}
}

?>

<div class="container">

  <div class="row">

    <div class="col-md-6 col-md-offset-3">

     <form class="form-horizontal" method="post">

      <h2>Kasutajaks registreerimine</h2>
      <hr />

      <?php
      if(isset($msg)){
       echo $msg;
     }
     else{
     }
     ?>

     <div class="form-group">
       <div class="col-sm-6">
         <label>Eesnimi:</label>
         <input type="text" class="form-control" placeholder="Eesnimi" name="eesnimi" value="<?php echo isset($eesnimi) ? $eesnimi : ''; ?>" required  />
       </div>



       <div class="col-sm-6">
         <label>Perekonnanimi:</label>
         <input type="text" class="form-control" placeholder="Perekonnanimi" name="perekonnanimi"  value="<?php echo isset($perekonnanimi) ? $perekonnanimi : ''; ?>" required  />
       </div>
     </div>

     <div class="form-group">
       <div class="col-sm-6">
         <label>Isikukood:</label>
         <input type="number" class="form-control" placeholder="Isikukood" name="isikukood" value="<?php echo isset($isikukood) ? $isikukood : ''; ?>" required  />
       </div>
       <div class="col-sm-6">
         <label>Telefon:</label>
         <input type="number" class="form-control" placeholder="Telefon" name="telefon" value="<?php echo isset($telefon) ? $telefon : ''; ?>" required  />
       </div>

     </div>

     <div class="form-group">
       <div class="col-sm-6">
         <label>E-mail:</label>
         <input type="email" class="form-control" placeholder="E-mail" name="email" value="<?php echo isset($email) ? $email : ''; ?>" required  />
       </div>
       <div class="col-sm-6">
         <label>Aadress:</label>
         <input type="text" class="form-control" placeholder="Aadress" name="aadress" value="<?php echo isset($aadress) ? $aadress : ''; ?>" required  />
       </div>

     </div>

     <div class="form-group">
       <div class="col-sm-6">
         <label>Linn või asula:</label>
         <input type="text" class="form-control" placeholder="Linn või asula" name="linn" value="<?php echo isset($linn) ? $linn : ''; ?>" required  />
       </div>
       <div class="col-sm-6">
         <label>Maakond:</label>
         <input type="text" class="form-control" placeholder="Maakond" name="maakond" value="<?php echo isset($maakond) ? $maakond : ''; ?>" required  />
       </div>

     </div>

     <div class="form-group">
       <div class="col-sm-6">
         <label>Postiindeks:</label>
         <input type="number" class="form-control" placeholder="Postiindeks" name="postiindeks" value="<?php echo isset($postiindeks) ? $postiindeks : ''; ?>" required  />
       </div>
       <div class="col-sm-6">
         <label>Riik:</label>
         <input type="text" class="form-control" placeholder="Riik" name="riik" value="<?php echo isset($riik) ? $riik : ''; ?>" required  />
       </div>

     </div>
     <!-- TODO: Parooli kinnitus -->
     <div class="form-group">
      <div class="col-sm-6">
        <label>Parool:</label>
        <input type="password" class="form-control" placeholder="Parool" name="parool" required  />
      </div>
      <div class="col-sm-6">
        <label>Parooli kinnitus:</label>
        <input type="password" class="form-control" placeholder="Parool" name="parool2" required  />
      </div></div>

      <div class="checkbox">
        <label>
          <input type="checkbox" name="tingimused" required />
          Nõustun <a data-toggle="modal" data-target="#myModal">kasutajatingimustega</a>.
        </label>
      </div><br/>
      <div class="form-group">
        <center>
          <button type="submit" class="btn btn-default" name="btn-signup">
            <span class="glyphicon glyphicon-log-in"></span> &nbsp; Registreeru kasutajaks
          </button> 
          <a href="<?php echo HTTP ?>scripts/login.php" class="btn btn-default">Logi sisse</a>
        </center>
      </div> 

    </form>
    <!-- Modal -->
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h3 class="modal-title" id="myModalLabel"><center>Kasutajatingimused</center></h3>
          </div>
          <div class="modal-body"><br/>
            <h3>1. Lorem ipsum dolor sit amet</h3>
            <p>
              Consectetur adipiscing elit. Vestibulum turpis nunc, elementum eu justo eget, dapibus consequat ex. Proin iaculis congue ligula, ut interdum quam commodo sit amet. Pellentesque nec nibh sit amet ex semper scelerisque at vitae mi. Vestibulum at laoreet lorem, sit amet euismod quam. Sed eget mattis quam. Nunc nisl lacus, dignissim in blandit nec, accumsan in dui. Sed maximus, orci iaculis elementum interdum, metus nunc aliquet lorem, eget condimentum diam est eleifend purus.</p>

              <h3>2. Sed nec est dictum</h3>
              <p>Viverra orci sed, malesuada nibh. In hac habitasse platea dictumst. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Phasellus bibendum quam sit amet venenatis auctor. Maecenas vestibulum iaculis mattis. Nulla facilisi. Sed imperdiet nec ex vel ornare.</p>
              <p>...</p><br/>
            </table>
          </div>

        </div>
      </div>
    </div>
  </div>

</div></div>

<?php
include ROOT . "footer.php";
?>